#ifndef __CDCCLUSTERHIST__
#define __CDCCLUSTERHIST__

//*************************************************************************
//* --------------
//* CDCClusterHist
//* --------------
//* (Description)
//* 	Clasess to create FADC cluster related histograms.
//* (Update Record)
//*	1999/12/06  K.Fujii	Original version.
//*************************************************************************

#include "TObject.h"
#include "TH1.h"
#include "TCanvas.h"

#include "CDCClusterMaker.h"

class CDCClusterHist : public JSFModule {
public:
   CDCClusterHist(const Char_t *name="CDCClusterHist",
		  const Char_t *title="CDC Cluster Histograms");
   virtual ~CDCClusterHist();

   Bool_t Initialize();
   Bool_t Process(Int_t ev);
   
   void Draw(Option_t *option="");

private:
   struct THdef1 {
      Char_t   title[256];
      Int_t    nbin;
      Float_t  xmin;
      Float_t  xmax;
   };
   TH1F    **hPh;		//! pulse height histograms
   TCanvas  *hc1;		//! Canvas to draw histograms
   THdef1   *hdef1;		//! histogram parameters
   static const Int_t kNh;	//! # hists
   static const Int_t kZoneX;	//! # X divisions
   static const Int_t kZoneY;	//! # Y divisions

   ClassDef(CDCClusterHist, 1) // Histograms of CDC Raw data
};

#endif
