#ifndef __CDCPADHIST__
#define __CDCPADHIST__

//*************************************************************************
//* --------------
//* CDCPadHist
//* --------------
//* (Description)
//* 	Clasess to create FADC cluster related histograms.
//* (Update Record)
//*	1999/12/06  K.Fujii	Original version.
//*************************************************************************

#include "TObject.h"
#include "TH1.h"
#include "TH2.h"
#include "TCanvas.h"

#include "CDCPadHitMaker.h"

class CDCPadHist : public JSFModule {
public:
   CDCPadHist(const Char_t *name="CDCPadHist",
		  const Char_t *title="CDC Pad Hit Histograms");
   virtual ~CDCPadHist();

   Bool_t Initialize();
   Bool_t Process(Int_t ev);
   
   void Draw(Option_t *option="");

private:
   struct THdef1 {
      Char_t   title[256];
      Int_t    nbin;
      Float_t  xmin;
      Float_t  xmax;
   };
   struct THdef2 {
      Char_t   title[256];
      Int_t    nxbin;
      Float_t  xmin;
      Float_t  xmax;
      Int_t    nybin;
      Float_t  ymin;
      Float_t  ymax;
   };
   TH2F    **hG;		//! G histograms
   TCanvas  *hc1;		//! Canvas to draw histograms
//   THdef1   *hdef1;		//! histogram parameters
   THdef2   *hdef2;		//! histogram parameters 2 dimension
   static const Int_t kNh;	//! # hists
   static const Int_t kZoneX;	//! # X divisions
   static const Int_t kZoneY;	//! # Y divisions

   ClassDef(CDCPadHist, 1) // Histograms of CDC Pad Hits
};

#endif

