//  
// cdcanl.C
//
// 

TFile *foutp;

int cdcanl(Int_t run = 1615)
{
  gROOT->Reset();
  
  if( strncmp(gSystem->HostName(),"ccjlc",5)  != 0 ) {
    if( strncmp(gSystem->Getenv("OSTYPE"),"hpux",4) == 0 ) {
      gSystem->Load("CDCRawData.sl");
    }
    else {
      gSystem->Load("CDCRawData.so");
   }
  }
    
  foutp = new TFile("jsf.root","RECREATE"); //  Output file.
  TFile & fout = *foutp;
  
  Char_t fname[64];
  sprintf(fname,"run%4.4d.root",run);
  TFile file(fname);  // Input file

  JSFSteer *jsf = new JSFSteer();
  jsf->SetInput(file);
  jsf->SetOutput(fout);

  Int_t nevent=jsf->Env()->GetValue("JSFSteer.Nevent",300);  
  Int_t minevt=1;
  Int_t maxevt=minevt+nevent;

#if 0
  Double_t ped[]  = {228.0,223.0,227.0,224.0};
  CDCFADCCalibration mycalib(ped);
#else
  CDCFADCCalibration fadccalib("fadccalib.dat");
#endif
  CDCClusterMaker *clust = new CDCClusterMaker(&fadccalib);
  clust->UseConstPed();

#if 0
  CDCPadCalibration padcalib(1.36, 5.0, 0.07);
#else 
  CDCPadCalibration padcalib("padcalib.dat");
#endif
  CDCPadHitMaker  *padht = new CDCPadHitMaker(&padcalib);
#if 0
  CDCRawHist      *hist  = new CDCRawHist();
#endif
#if 0
  CDCClusterHist  *hist  = new CDCClusterHist();
#endif
  CDCPadHist      *hist  = new CDCPadHist();

  jsf->Initialize();
  CDCRawData *raw=(CDCRawData*)jsf->FindModule("CDCRawData");

  jsf->BeginRun(run);      // Set run number
  for(Int_t ev=minevt;ev<=maxevt;ev++){
    Int_t ib;
    if( ! (ib=jsf->GetEvent(ev)) ) break ;
    ((CDCRawDataBuf*)raw->EventBuf())->GetHeader()->DebugPrint();
    if( ! jsf->Process(ev) ) break ;

    ((CDCClusterBuf*)clust->EventBuf())->DebugPrint();
    ((CDCPadHitBuf *)padht->EventBuf())->DebugPrint("Detailed");
    
    jsf->FillTree();
    jsf->Clear();
  }

  jsf->Terminate();
  fout.Write();

}
