//  
// rawph.C
//
// Read raw data, subtruct pedestal and display pulse height 
// interacctively.  Only histogram is written to the file, jsf.root. 
//
TFile *file;

int rawph(Int_t run = 1615)
{
  gROOT->Reset();
  
  if( strncmp(gSystem->HostName(),"ccjlc",5)  != 0 ) {
    if( strncmp(gSystem->Getenv("OSTYPE"),"hpux",4) ==0 ) {
      gSystem->Load("CDCRawData.sl");
    }
    else {
      gSystem->Load("CDCRawData.so");
   }
  }
  
  file = new TFile("jsf.root","RECREATE");  // Output file
 
  JSFSteer   *jsf     = new JSFSteer();
  CDCRawData *cdc     = new CDCRawData();
#if 0
  CDCRawHist *rawhist = new CDCRawHist();
#else
  CDCClusterMaker *cls     = new CDCClusterMaker();
  CDCClusterHist  *clshist = new CDCClusterHist();
#endif
  Int_t maxevt=jsf->Env()->GetValue("JSFSteer.Nevent",10);  

  cdc->SetMakeBranch(kFALSE);  // suppress output of CDC Raw data
  jsf->Initialize();

  jsf->BeginRun(run);      // Set run number
  for(Int_t ev=1;ev<=maxevt;ev++){
    if( ! jsf->Process(ev) ) break ;
//     jsf->FillTree();
    jsf->Clear();
  }

  jsf->Terminate();
  file->Write();

}
