//
// Read raw data of beam test and converted it to the root file.
// 

int unpack(Int_t run=1615)
{
  gROOT->Reset();

  Char_t fname[64];
  sprintf(fname,"run%4.4d.root",run);
  TFile file(fname,"RECREATE");  // Output file

  if( strncmp(gSystem->HostName(),"ccjlc",5)  != 0 ) {
    if( strncmp(gSystem->Getenv("OSTYPE"),"hpux",4) ==0 ) {
      gSystem->Load("CDCRawData.sl");
    }
    else {
      gSystem->Load("CDCRawData.so");
   }
  }

  JSFSteer   *jsf    = new JSFSteer();
  CDCRawData *raw    = new CDCRawData();

  Int_t maxevt=jsf->Env()->GetValue("JSFSteer.Nevent",1000);  
  jsf->Initialize();

// Run loop
  jsf->BeginRun(run);     
  for(Int_t ev=1;ev<=maxevt;ev++){
    if( ! jsf->Process(ev) ) break;
    jsf->FillTree();
    jsf->Clear();
  }
  jsf->Terminate();
  file->Write();
}
